Title: Services
Author: Teckids
Lang: en


## Email-Services

We provide each member with a free email address. You can use this email address privately.

### How can I check my e-mail?
There are several ways to check your e-mail. Once there is the webmail "Roundcube" or any e-mail program such as Thunderbird (PC, laptop) or K9-Mail (mobile phone).

### Roundcube
 If you want to check, read and reply to your e-mails via webmail, visit a roundcube. There you have to login with your Teckids account. Afterwards you can immediately see all your mails and can read, reply or write comfortably and easily.

### K9-Mail
 Do you want to check your mails on your mobile phone? No problem. It's very easy: You can install the app "K9-Mail" from F-Droid. When you start the app, you can enter an email address and a password. Enter your e-mail address and the corresponding password here. Then click on "Manual setup". 

#### Configuration:
   **Type of account:** IMAP   
   **IMAP server:** mercurius.teckids.org   
   **Security:** SSL/TLS   
   **Port:** 993   
   **Username:** Euer Teckids-Benutzername   
   **Authentication:** Passwort, normal   
   **Password:** Euer Teckids-Passwort   

   **Press "Next".**   

   **SMPT server:** mercurius.teckids.org   
   **Security:** SSL-TLS   
   **Port:** 465   
   **Username:** Euer Teckids-Benutzername   
   **Password:** Euer Teckids-Passwort   

If you get any error messages, check all data again. If you are sure that everything is absolutely correct, just write a ticket to verein@teckids. org. 


## Edugit
EduGit is a free git hosting service - that is, a website that enables the joint development of software (and other things). 
EduGit attaches particular importance to its applicability in cooperation with children and young people, so that if they are interested, they can be introduced to working together on free software at an early age and can make important contributions at any time. 

### What is git?
Git is a so-called source code management system (source code management system). When several people work together on the same files, such as a program, they need a way to merge their work, see the history of their changes, choose one of several ways to make changes, and more. One way to do this is Git.
If you want to learn more about it, you will find a lot of information in the Wikipedia article and much more in the book "Pro Git". 

### What is EduGit?
EduGit is a website on which you can manage so-called Git repositories and much more about your own or third-party projects. Even if you have no experience with software development or Git, you can already contribute to projects on EduGit - for example you can report problems, bugs or wishes in projects, such as B. in the software of Veripeditus or other projects.

### Git and EduGit in class
Computer science and other teachers can use Git or EduGit in teaching projects, e. g. to work together in groups on computer science projects, teaching materials, etc. to work. In this way, students learn important software development processes as well as basic concepts of digital teamwork, data structures and algorithms.
Free teaching material on the use of Git and EduGit will be available in the foreseeable future - if you are interested, we recommend subscribing to the newsletter for teachers! 

### Why EduGit and no other service?
 On the Internet there are now a lot of services that can be forfeited, such as B. GitHub or GitLab. com, which is based on the same software as EduGit However, all these services have major restrictions on their use with children and young people, provided that minors can legally use them at all. EduGit is powered by the Teckids e. V. specifically in the area of cooperation with children and young people. Only one Teckids account is required for use; the terms of use and privacy policy are designed so that minors can easily agree to them. This enables real cooperation across age limits! 
We recommend that software projects that develop software (among others) for the educational sector or that have underage users and potential contributors host their code on a platform that meets these requirements. Educational projects that use Git for their coordination are also welcome. Who can use EduGit can be found in the terms of use for Teckids services. 

### Use EduGit
In order to use EduGit, a Teckids account is required first. Registration is possible via a web form. With the Teckids account it is then possible to log in to the EduGit website.

## Remotedesktop
In our projects all participants use the operating system Debian GNU/Linux on computers and laptops set up by the association. We call this environment "Lunatics". 
You can also use this environment from home, simply directly in your web browser. The same settings and files are available. This means that you always find exactly the same environment in the project and at home. 

**Warning:** You need a username and password to log in! 

As soon as you click on the link below, a small login window will appear in your browser. User name and password of the Teckids systems must be entered here. The topmost selection field must not be changed. 

*Link*

# Software

## AlekSIS
AlekSIS is a web-based school information system (also called SIS) that can be used in educational institutions, such as schools, to manage organisational matters. It is managed by Teckids with the Katharineum zu Lübeck and is constantly being developed and improved.
*Link*

## Other Software
The Teckids e.V. supports a number of other free software that is educational or can be used for educational purposes.These projects are not co-ordinated or centrally developed by the association, but are used in the association's work, supported for other educational institutions and occasionally co-developed by contributions.

### Movim
Movim is a free social network based entirely on the XMPP standard. It is decentralized and supports single chats, group chats, communities, microblogs and more. The chat platform of Teckids e.V. is based on Movim (and ejabberd).

#### xrdp
xrdp is a remote desktop server for Linux.It is possible to use a remote desktop client on a terminal server using a remote desktop client.Teckids e.V. uses xrdp to provide a freely accessible, free Debian desktop. We also test xrdp as a component of the Skolelinux cloud.